Bug 103414 - [drm:intel_enable_lvds [i915]] *ERROR* timed out waiting for panel to power on
Summary: [drm:intel_enable_lvds [i915]] *ERROR* timed out waiting for panel to power on
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-23 11:09 UTC by Sérgio M. Basto
Modified: 2018-05-17 08:04 UTC (History)
2 users (show)

See Also:
i915 platform: ILK
i915 features: display/LVDS


Attachments
full dmesg (55.11 KB, text/plain)
2017-10-23 11:15 UTC, Sérgio M. Basto
no flags Details
dmesg with drm.debug=0xe log_bug_len=4M (174.50 KB, text/plain)
2017-10-24 17:06 UTC, Sérgio M. Basto
no flags Details
Patch to fix the drm:intel_enable_lvds ERROR message in kernel log (1.99 KB, patch)
2017-11-20 22:49 UTC, Florent Flament
no flags Details | Splinter Review
i915_vbt.bin.gz (1.41 KB, application/octet-stream)
2017-11-21 23:13 UTC, Sérgio M. Basto
no flags Details
dmesg3.txt (240.78 KB, text/plain)
2017-11-24 19:46 UTC, Sérgio M. Basto
no flags Details
dsdt.dat.gz (14.42 KB, application/octet-stream)
2017-11-24 19:50 UTC, Sérgio M. Basto
no flags Details
dmesg with timeout error on TOSHIBA Portege laptop (122.25 KB, text/plain)
2018-04-02 08:50 UTC, Pavel Petrovic
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sérgio M. Basto 2017-10-23 11:09:40 UTC
Very similar to https://bugs.freedesktop.org/show_bug.cgi?id=100566

dmesg | grep -i -E 'intel|drm|i9|error'.          
[    0.000000] Reserving Intel graphics memory at 0x00000000bc000000-0x00000000bfffffff
[    0.023000] smpboot: CPU0: Intel(R) Core(TM) i3 CPU       M 370  @ 2.40GHz (family: 0x6, model: 0x25, stepping: 0x5)
[    0.023000] Performance Events: PEBS fmt1+, Westmere events, 16-deep LBR, Intel PMU driver.
[    0.866706] intel_idle: MWAIT substates: 0x1120
[    0.866707] intel_idle: v0.4.1 model 0x25
[    0.866852] intel_idle: lapic_timer_reliable_states 0xffffffff
[    0.907145] RAS: Correctable Errors collector initialized.
[    1.191648] ACPI Error: [GTF0] Namespace lookup failure, AE_NOT_FOUND (20170531/psargs-364)
[    1.191723] ACPI Error: Method parse/execution failed \_SB.PCI0.SAT0.PRT0._SDD, AE_NOT_FOUND (20170531/psparse-550)
[    1.191815] ACPI Error: [GTF0] Namespace lookup failure, AE_NOT_FOUND (20170531/psargs-364)
[    1.191885] ACPI Error: Method parse/execution failed \_SB.PCI0.SAT0.PRT0._GTF, AE_NOT_FOUND (20170531/psparse-550)
[    1.193515] ACPI Error: [GTF0] Namespace lookup failure, AE_NOT_FOUND (20170531/psargs-364)
[    1.193587] ACPI Error: Method parse/execution failed \_SB.PCI0.SAT0.PRT0._SDD, AE_NOT_FOUND (20170531/psparse-550)
[    1.193680] ACPI Error: [GTF0] Namespace lookup failure, AE_NOT_FOUND (20170531/psargs-364)
[    1.193750] ACPI Error: Method parse/execution failed \_SB.PCI0.SAT0.PRT0._GTF, AE_NOT_FOUND (20170531/psparse-550)
[    1.504869] ACPI Error: [GTF1] Namespace lookup failure, AE_NOT_FOUND (20170531/psargs-364)
[    1.504941] ACPI Error: Method parse/execution failed \_SB.PCI0.SAT0.PRT1._SDD, AE_NOT_FOUND (20170531/psparse-550)
[    1.505031] ACPI Error: [GTF1] Namespace lookup failure, AE_NOT_FOUND (20170531/psargs-364)
[    1.505113] ACPI Error: Method parse/execution failed \_SB.PCI0.SAT0.PRT1._GTF, AE_NOT_FOUND (20170531/psparse-550)
[    1.507515] ACPI Error: [GTF1] Namespace lookup failure, AE_NOT_FOUND (20170531/psargs-364)
[    1.507686] ACPI Error: Method parse/execution failed \_SB.PCI0.SAT0.PRT1._SDD, AE_NOT_FOUND (20170531/psparse-550)
[    1.507875] ACPI Error: [GTF1] Namespace lookup failure, AE_NOT_FOUND (20170531/psargs-364)
[    1.508062] ACPI Error: Method parse/execution failed \_SB.PCI0.SAT0.PRT1._GTF, AE_NOT_FOUND (20170531/psparse-550)
[    2.195499] e1000e: Intel(R) PRO/1000 Network Driver - 3.2.6-k
[    2.195500] e1000e: Copyright(c) 1999 - 2015 Intel Corporation.
[    2.420557] e1000e 0000:00:19.0 eth0: Intel(R) PRO/1000 Network Connection
[   12.973558] intel ips 0000:00:1f.6: CPU TDP doesn't match expected value (found 25, expected 29)
[   12.973851] intel ips 0000:00:1f.6: failed to get i915 symbols, graphics turbo disabled until i915 loads
[   12.973956] intel ips 0000:00:1f.6: IPS driver initialized, MCP temp limit 90
[   13.456183] tpm tpm0: [Hardware Error]: Adjusting reported timeouts: A 750->750000us B 2000->2000000us C 750->750000us D 750->750000us
[   14.097379] pci 0000:00:00.0: Intel HD Graphics Chipset
[   14.097979] [drm] Memory usable by graphics device = 2048M
[   14.097983] [drm] Replacing VGA console driver
[   14.106134] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[   14.106135] [drm] Driver supports precise vblank timestamp query.
[   14.108392] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[   14.177062] usb 1-1.6: device descriptor read/64, error -32
[   14.180229] [drm] RC6 disabled, disabling runtime PM support
[   14.181762] [drm] Initialized i915 1.6.0 20170619 for 0000:00:02.0 on minor 0
[   14.216388] fbcon: inteldrmfb (fb0) is primary device
[   14.345153] usb 1-1.6: device descriptor read/64, error -32
[   14.637108] tpm tpm0: A TPM error (7) occurred attempting to read a pcr value
[   15.062437] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.11
[   15.251853] [drm:intel_enable_lvds [i915]] *ERROR* timed out waiting for panel to power on
[   15.277802] snd_hda_intel 0000:00:1b.0: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[   15.296963] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[   16.451644] input: HDA Intel MID Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input10
[   16.451731] input: HDA Intel MID Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
[   16.451805] input: HDA Intel MID HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:1b.0/sound/card0/input12
[   18.376197] intel ips 0000:00:1f.6: i915 driver attached, reenabling gpu turbo


inxi -F
System:    Host: localhost.localdomain Kernel: 4.13.8-200.fc26.x86_64 x86_64 bits: 64 Console: tty 3
           Distro: Fedora release 26 (Twenty Six)
Machine:   Device: laptop System: TOSHIBA product: Satellite Pro S500 v: PSSE0E-0SE09DEP serial: xxxxxxx
           Mobo: TOSHIBA model: Portable PC v: Version A0 serial: 0000000000
           BIOS: TOSHIBA v: Version 3.50 date: 10/23/2012
CPU:       Dual core Intel Core i3 M 370 (-HT-MCP-) cache: 3072 KB
           clock speeds: max: 2399 MHz 1: 2393 MHz 2: 2393 MHz 3: 2393 MHz 4: 2393 MHz
Graphics:  Card: Intel Core Processor Integrated Graphics Controller
           Display Server: X.org 1.19.3 drivers: modesetting (unloaded: fbdev,vesa)
           tty size: 125x44 Advanced Data: N/A for root out of X
Audio:     Card Intel 5 Series/3400 Series High Definition Audio driver: snd_hda_intel
           Sound: Advanced Linux Sound Architecture v: k4.13.8-200.fc26.x86_64
Network:   Card-1: Intel 82577LC Gigabit Network Connection driver: e1000e
           IF: enp0s25 state: down mac: 00:23:18:be:c9:90
           Card-2: Qualcomm Atheros AR9285 Wireless Network Adapter (PCI-Express) driver: ath9k
           IF: wlp2s0 state: up mac: e8:39:df:99:48:56
Drives:    HDD Total Size: 500.1GB (2.0% used)
           ID-1: /dev/sda model: Hitachi_HTS54505 size: 500.1GB
Partition: ID-1: / size: 49G used: 5.5G (12%) fs: ext4 dev: /dev/dm-0
           ID-2: /boot size: 976M used: 189M (21%) fs: ext4 dev: /dev/sda2
           ID-3: /home size: 404G used: 352M (1%) fs: ext4 dev: /dev/dm-2
           ID-4: swap-1 size: 4.00GB used: 0.00GB (0%) fs: swap dev: /dev/dm-1
RAID:      No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors:   System Temperatures: cpu: 49.0C mobo: N/A
           Fan Speeds (in rpm): cpu: N/A
Info:      Processes: 207 Uptime: 15 min Memory: 854.1/3681.8MB Init: systemd runlevel: 5
           Client: Shell (bash) inxi: 2.3.40
Comment 1 Sérgio M. Basto 2017-10-23 11:15:31 UTC
Created attachment 135001 [details]
full dmesg

On resume I don't have screen , but if I close lid and open again screen gets back. 

I tried kernel 4.11.x 4.12.x and 4.13.x  all have the same errors and problems.

I'm using Linux Fedora 26 x86_64 KDE.
Comment 2 Elizabeth 2017-10-24 14:51:44 UTC
Hello Sergio, could you please replicate with drm.debug=0xe log_bug_len=2M, (2M or bigger), on grub and attach log? Thank you.
Comment 3 Sérgio M. Basto 2017-10-24 17:06:10 UTC
Created attachment 135022 [details]
dmesg with drm.debug=0xe log_bug_len=4M

history of dmesg : 
boot up 
login (got wireless network) 
suspend (I waited about at least one minute)  
wakeup 
close lid and open it again .
Comment 4 Florent Flament 2017-11-20 22:46:55 UTC
Hi,

I get the same error message `drm:intel_enable_lvds [i915]] *ERROR* timed out waiting for panel to power on` with my Toshiba Satellite Z930, though I don't experience any additional bug.

I sent a patch that suppresses the error message on my laptop, could you please test it ?

Regards,
Florent
Comment 5 Florent Flament 2017-11-20 22:49:07 UTC
Created attachment 135621 [details] [review]
Patch to fix the drm:intel_enable_lvds ERROR message in kernel log

I tested this patch on kernel 4.14
Comment 6 Jani Nikula 2017-11-21 08:48:31 UTC
Florent, Sérgio, please attach /sys/kernel/debug/dri/0/i915_vbt
Comment 7 Ville Syrjala 2017-11-21 13:29:14 UTC
[   14.589827] [drm:intel_lvds_init [i915]] LVDS PPS:t1+t2 500 t3 1 t4 10000 t5 2100 tx 50 divider 6249 port 0 powerdown_on_reset 1

So we have a power cycle delay of 1000 ms and power up delay of 5 ms. I guess that explains why the timeout of 1000 ms isn't quite sufficient always.

We don't actually use the VBT PPS values on LVDS, but seeing the VBT would still be interesting. So please do attach it.

Looking at the docs, the max power cycle delay we can program is 3 seconds and the max power up delay is ~800 ms. Given those we should perhaps bump the timeout to >=4 seconds. We seem to be using 5 seconds in the DP code, so I think we might as well use that same value in the LVDS code.
Comment 8 Sérgio M. Basto 2017-11-21 23:13:30 UTC
Created attachment 135651 [details]
i915_vbt.bin.gz

as requested
Comment 9 Sérgio M. Basto 2017-11-21 23:27:31 UTC
(In reply to Florent Flament from comment #5)
> Created attachment 135621 [details] [review] [review]
> Patch to fix the drm:intel_enable_lvds ERROR message in kernel log
> 
> I tested this patch on kernel 4.14

I will need rebuild the kernel 4.14 , to do that I will need some free time maybe this weekend ...   I will use copr [1] like for example [2] if you haven't a kernel binary to share :) 

[1] 
https://copr.fedorainfracloud.org

[2]
https://copr.fedorainfracloud.org/coprs/jforbes/kernel-stabilization/build/677955/
Comment 10 Sérgio M. Basto 2017-11-24 19:46:20 UTC
Created attachment 135699 [details]
dmesg3.txt

(In reply to Florent Flament from comment #5)
> Created attachment 135621 [details] [review] [review]
> Patch to fix the drm:intel_enable_lvds ERROR message in kernel log
> 
> I tested this patch on kernel 4.14

the patch indeed fixed the timeout but nothing else changed , i.e. still not wakeup correctly from resume
Comment 11 Sérgio M. Basto 2017-11-24 19:50:39 UTC
Created attachment 135700 [details]
dsdt.dat.gz

cat /sys/firmware/acpi/tables/DSDT > dsdt.dat

with  iasl -d dsdt.dat you got dsdt.dsl
Comment 12 Sérgio M. Basto 2017-11-25 21:58:38 UTC
(In reply to Sérgio M. Basto from comment #10)
> Created attachment 135699 [details]
> dmesg3.txt

starting in 538.523103 we got logs of laptop resuming , 
in  546.190501 is after open and close lid (I guess) and where I get screen display again .
Comment 13 Jani Saarinen 2018-03-29 07:10:28 UTC
First of all. Sorry about spam.
This is mass update for our bugs. 

Sorry if you feel this annoying but with this trying to understand if bug still valid or not.
If bug investigation still in progress, please ignore this and I apologize!

If you think this is not anymore valid, please comment to the bug that can be closed.
If you haven't tested with our latest pre-upstream tree(drm-tip), can you do that also to see if issue is valid there still and if you cannot see issue there, please comment to the bug.
Comment 14 Pavel Petrovic 2018-04-02 08:49:17 UTC
I think it is not fixed. At least not the timeout part.
As suggested in comment #7 by Ville Syrjala, one second (as appears even in the latest official kernel source code) is not sufficient.

I have a TOSHIBA Protege laptop with Lubuntu, freshly upgraded to 18.04 beta, with:

00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

and the logs during power on boot (not resume or anything similar, just plain power on) contain the following message:

[   25.044184] [drm:intel_enable_lvds [i915]] *ERROR* timed out waiting for panel to power on

I am attaching dmesg_toshiba_portege.txt with 

drm.debug=0xe log_bug_len=2M 

grub option.
Comment 15 Pavel Petrovic 2018-04-02 08:50:35 UTC
Created attachment 138485 [details]
dmesg with timeout error on TOSHIBA Portege laptop
Comment 16 Jani Saarinen 2018-04-20 14:41:02 UTC
Are you able to test with latest drm-tip: https://cgit.freedesktop.org/drm-tip?
Or does it help Ville?
Comment 17 Sérgio M. Basto 2018-04-22 03:07:48 UTC
(In reply to Jani Saarinen from comment #16)
> Are you able to test with latest drm-tip:
> https://cgit.freedesktop.org/drm-tip?
> Or does it help Ville?


Hi, can you be more specific ? how I test  latest drm-tip ? it is a kernel ? it is possible have a patch to Linux v4.17-rc1 ? 

is related with https://01.org/linuxgraphics/documentation/build-guide-0 ? 


Thanks
Comment 18 Jani Saarinen 2018-04-22 08:04:38 UTC
Hi, yes that is our latest gfx kernel, see link above.
Comment 19 Jani Saarinen 2018-05-04 09:55:49 UTC
Reporter, have you been able to test drm-tip?
Comment 20 Sérgio M. Basto 2018-05-04 16:45:29 UTC
(In reply to Jani Saarinen from comment #19)
> Reporter, have you been able to test drm-tip?

no , not yet , I 'll report if I test it
Comment 21 Ville Syrjala 2018-05-04 19:34:58 UTC
Finally remembered to push my slightly amended version of Florent's original patch:

commit 280b54ade5914d3b4abe4f0ebe083ddbd4603246
Author: Florent Flament <contact@florentflament.com>
Date:   Thu Apr 19 19:07:00 2018 +0300

    drm/i915: Fix drm:intel_enable_lvds ERROR message in kernel log

So I'm going to mark this as fixed. Please reopen if you still see issues after that commit.
Comment 22 Jani Saarinen 2018-05-17 08:04:34 UTC
Lets close now and reporter, please re-open if not fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.